Bug 177203 - ieee80211 subsystem has memory leak in tkip encryption
ieee80211 subsystem has memory leak in tkip encryption
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://bughost.org/bugzilla/show_bug....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-07 07:23 EST by Matthias Hensler
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 06:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the memory leak in ieee80211 subsystem (240 bytes, patch)
2006-01-07 07:26 EST, Matthias Hensler
no flags Details | Diff

  None (edit)
Description Matthias Hensler 2006-01-07 07:23:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051202 Fedora/1.5-0.fc4 Firefox/1.5

Description of problem:
When using ipw2100/ipw2200 (or other module depending on the IEEE80211 subsystem) with WPA and TKIP encryption, the kernel slab memory (size-32) leaks. Depending on your network traffic the system will run out of memory very fast.

The leak is present in all 2.6.15 and 2.6.15-rc kernels using the updated ieee80211 version. The leak was fixed upstream, but is neither available as updated version from the upstream project homepage, nor in the current development releases of the linux kernel.

Since the fix is easy it should be consider to insert it into the current rawhide builds to make sure this is no problem for FC4 when 2.6.15 is pushed there.

Version-Release number of selected component (if applicable):
kernel-2.6.15

How reproducible:
Always

Steps to Reproduce:
1.bring network interface up with ipw2100/ipw2200
2.start wpa_supplicant and connect to WPA/TKIP encrypted AP
3.do much network traffic and wait for running out of memory
  

Actual Results:  slabtop will show increasing size-32 slabs when doing network traffic.

Expected Results:  used slabs should not increase

Additional info:

I will attach a patch with can be applied to current rawhide kernels. Before using that patch I lost around 100 MB of RAM each day on normal network traffic. Since that is a high amount I mark this problem as "high".

Regards.
Comment 1 Matthias Hensler 2006-01-07 07:26:27 EST
Created attachment 122907 [details]
patch to fix the memory leak in ieee80211 subsystem

applies cleanly to all recent rawhide and FC4-testing kernels.
Comment 2 Matthias Hensler 2006-01-07 09:20:52 EST
The new upstream version 1.1.7 of the ieee80211 stack already includes the patch.
Comment 3 Dave Jones 2006-10-16 16:20:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Matthias Hensler 2006-10-23 06:59:47 EDT
Bug was fixed upstream, so this bug can be closed now. Thanks.

Note You need to log in before you can comment on or make changes to this bug.